# Uses of Class
org.eclipse.emf.cdo.common.branch.CDOBranchPointRef

Packages that use CDOBranchPointRef
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.
org.eclipse.emf.cdo.explorer.checkouts
Interfaces for working with `checkouts`.
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.assembly
The generated EMF API of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.impl
The generated EMF implementation of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.common.branch

Fields in org.eclipse.emf.cdo.common.branch declared as CDOBranchPointRef
Modifier and Type
Field
Description
`static final CDOBranchPointRef`
CDOBranchPointRef.`MAIN_HEAD`
Methods in org.eclipse.emf.cdo.common.branch that return CDOBranchPointRef
Modifier and Type
Method
Description
`CDOBranchPointRef`
CDOBranchPointRef.Provider.`getBranchPointRef()`
`CDOBranchPointRef`
CDOBranchRef.`getHeadRef()`
`CDOBranchPointRef`
CDOBranchRef.`getPointRef(long timeStamp)`

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.etypes.impl

Methods in org.eclipse.emf.cdo.etypes.impl that return CDOBranchPointRef
Modifier and Type
Method
Description
`CDOBranchPointRef`
EtypesFactoryImpl.`createBranchPointRefFromString(EDataType eDataType, String initialValue)`

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.etypes.util

Methods in org.eclipse.emf.cdo.etypes.util with parameters of type CDOBranchPointRef
Modifier and Type
Method
Description
`boolean`
EtypesValidator.`validateBranchPointRef(CDOBranchPointRef branchPointRef, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.explorer.checkouts

Methods in org.eclipse.emf.cdo.explorer.checkouts with parameters of type CDOBranchPointRef
Modifier and Type
Method
Description
`void`
CDOCheckout.`setBranchPoint(CDOBranchPointRef branchPointRef)`

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return CDOBranchPointRef
Modifier and Type
Method
Description
`CDOBranchPointRef`
Baseline.`getBranchPoint()`
`CDOBranchPointRef`
Drop.`getBranchPoint()`
Returns the value of the 'Branch Point' attribute.
`CDOBranchPointRef`
Stream.`getBranchPoint(long timeStamp)`
`CDOBranchPointRef`
Delivery.`getMergeSource()`
Returns the value of the 'Merge Source' attribute.
`CDOBranchPointRef`
Delivery.`getMergeTarget()`
Returns the value of the 'Merge Target' attribute.
Methods in org.eclipse.emf.cdo.lm with parameters of type CDOBranchPointRef
Modifier and Type
Method
Description
`void`
Drop.`setBranchPoint(CDOBranchPointRef value)`
Sets the value of the '`Branch Point`' attribute.
`void`
Delivery.`setMergeSource(CDOBranchPointRef value)`
Sets the value of the '`Merge Source`' attribute.
`void`
Delivery.`setMergeTarget(CDOBranchPointRef value)`
Sets the value of the '`Merge Target`' attribute.

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.lm.assembly

Methods in org.eclipse.emf.cdo.lm.assembly that return CDOBranchPointRef
Modifier and Type
Method
Description
`CDOBranchPointRef`
AssemblyModule.`getBranchPoint()`
Returns the value of the 'Branch Point' attribute.
Methods in org.eclipse.emf.cdo.lm.assembly with parameters of type CDOBranchPointRef
Modifier and Type
Method
Description
`void`
AssemblyModule.`setBranchPoint(CDOBranchPointRef value)`
Sets the value of the '`Branch Point`' attribute.

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.lm.assembly.impl

Fields in org.eclipse.emf.cdo.lm.assembly.impl declared as CDOBranchPointRef
Modifier and Type
Field
Description
`protected static final CDOBranchPointRef`
AssemblyModuleImpl.`BRANCH_POINT_EDEFAULT`
The default value of the '`Branch Point`' attribute.
Methods in org.eclipse.emf.cdo.lm.assembly.impl that return CDOBranchPointRef
Modifier and Type
Method
Description
`CDOBranchPointRef`
AssemblyModuleImpl.`getBranchPoint()`
Methods in org.eclipse.emf.cdo.lm.assembly.impl with parameters of type CDOBranchPointRef
Modifier and Type
Method
Description
`void`
AssemblyModuleImpl.`setBranchPoint(CDOBranchPointRef newBranchPoint)`

## Uses of CDOBranchPointRef in org.eclipse.emf.cdo.lm.impl

Fields in org.eclipse.emf.cdo.lm.impl declared as CDOBranchPointRef
Modifier and Type
Field
Description
`protected static final CDOBranchPointRef`
DropImpl.`BRANCH_POINT_EDEFAULT`
The default value of the '`Branch Point`' attribute.
`protected static final CDOBranchPointRef`
DeliveryImpl.`MERGE_SOURCE_EDEFAULT`
The default value of the '`Merge Source`' attribute.
`protected static final CDOBranchPointRef`
DeliveryImpl.`MERGE_TARGET_EDEFAULT`
The default value of the '`Merge Target`' attribute.
Methods in org.eclipse.emf.cdo.lm.impl that return CDOBranchPointRef
Modifier and Type
Method
Description
`abstract CDOBranchPointRef`
BaselineImpl.`getBranchPoint()`
`CDOBranchPointRef`
DeliveryImpl.`getBranchPoint()`
`CDOBranchPointRef`
DropImpl.`getBranchPoint()`
`abstract CDOBranchPointRef`
FixedBaselineImpl.`getBranchPoint()`
`CDOBranchPointRef`
FloatingBaselineImpl.`getBranchPoint()`
`CDOBranchPointRef`
StreamImpl.`getBranchPoint(long timeStamp)`
`CDOBranchPointRef`
DeliveryImpl.`getMergeSource()`
`CDOBranchPointRef`
DeliveryImpl.`getMergeTarget()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type CDOBranchPointRef
Modifier and Type
Method
Description
`void`
DropImpl.`setBranchPoint(CDOBranchPointRef newBranchPoint)`
`void`
DeliveryImpl.`setMergeSource(CDOBranchPointRef newMergeSource)`
`void`
DeliveryImpl.`setMergeTarget(CDOBranchPointRef newMergeTarget)`